<form [formGroup]="LastFormGroup">
    <div class="row">
        <div class="col-12 mb-md-4 mb-2">
            <div class="d-flex align-items-center justify-content-between bg-color-light-gray py-2 px-4 title-border">
                <h3 class="font-17  font-md-15  font-weight-medium text-color-onyx mb-0 py-1 ">
                    Violation details</h3>
            </div>
        </div>
        <div class="col-12 mb-md-2 mb-2 mt-3">
            <div class="d-flex flex-column">
                <mat-form-field>
                    <input matInput placeholder="Reprt Name" value="Sample report name">
                </mat-form-field>
            </div>
        </div>
        <div class="col-12 ">
            <div class="d-flex flex-column">
                <label class="font-16  font-md-14    font-weight-normal text-color-onyx ">Description</label>
                <mat-form-field class="w-100 font-16-imp font-weight-medium custom-textarea" floatLabel="always">
                    <textarea matInput placeholder="" rows="4" class="m-0"></textarea>
                </mat-form-field>
            </div>
        </div>
        <div class="col-12 mb-md-3 mb-2">
            <div class=row>
                <div class="col-md-6">
                    <div class="d-flex flex-column">
                        <mat-form-field>
                            <mat-label>Set Violation date</mat-label>
                            <input matInput [matDatepicker]="picker1">
                            <mat-datepicker-toggle matSuffix [for]="picker1"></mat-datepicker-toggle>
                            <mat-datepicker #picker1></mat-datepicker>
                        </mat-form-field>
                    </div>
                </div>
                <div class="col-md-6">
                    <div class="d-flex flex-column">
                        <mat-form-field>
                            <input matInput placeholder="Time">
                        </mat-form-field>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 mb-md-4 mb-2">
            <div class="d-flex flex-column">
                <div class="gray-select">
                    <div class="select-container">
                        <mat-form-field class="font-16-imp font-weight-500 w-100">
                            <span matSuffix class="d-flex">
                                <mat-icon>keyboard_arrow_down</mat-icon>
                            </span>
                            <mat-select placeholder="City">
                                <mat-option *ngFor="let City of Cities" [value]="City.id">
                                    {{City.Name}}</mat-option>
                            </mat-select>
                        </mat-form-field>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 mb-md-4 mb-2">
            <div class="d-flex align-items-center justify-content-between bg-color-light-gray py-2 px-4 title-border">
                <h3 class="font-17  font-md-15  font-weight-medium text-color-onyx mb-0 py-1 ">
                    Upload file or photo</h3>
            </div>
        </div>
        <div class="col-12 mb-md-5 mb-2">
            <app-docs-uploader></app-docs-uploader>
        </div>
        <div class="col-12 mb-md-5 mb-2">
            <div class="d-flex align-items-center justify-content-between bg-color-light-gray py-2 px-4 title-border">
                <h3 class="font-17  font-md-15  font-weight-medium text-color-onyx mb-0 py-1 ">
                    The person(s) engaged in this behavior</h3>
            </div>
        </div>
        <div class="col-md-12 mb-md-2 mb-2">
            <div class="d-flex flex-column">
                <label class="font-14  font-md-12 font-weight-normal text-color-onyx mb-2">
                    Identify the person(s) engaged in this behavior (User Picker)</label>
                <div class="d-flex">
                    <mat-form-field>
                        <input matInput placeholder="Full Name" [(ngModel)]="FullName" formControlName="FullName" >
                    </mat-form-field>
                    <button mat-button (click)=Add(FullName)
                    class="btn button-primary font-17 font-md-10 font-weight-medium  d-inline-flex flex-grow-0 align-items-center justify-content-center p-0 ml-3 btn-add">
                    
                    <p class="px-4 m-0"> Add</p>
                    </button>
                </div>
                <div class="d-flex  flex-wrap">
                    <div *ngFor="let name of FullNames ; let i = index;"
                        class="font-13 font-weight-normal text-color-onyx bg-color-light-gray pl-3 pr-5 py-3 mr-3 mb-4 position-relative">
                        {{name}}
                        <button (click)=removeItem(i)
                            class="DeleteIcon bg-color-coral2 text-color-white p-1 border-0 d-flex align-items-center justify-content-center m-0 position-absolute ">
                            <fa-icon [icon]="faTimes"></fa-icon>
                        </button>
                    </div>
                </div>
            </div>
        </div>
        <div class="col-12 mb-md-2 mb-2">
            <div class="d-flex flex-column">
                <label class="font-16  font-md-14 font-weight-medium text-color-onyx mb-2">
                    Do you suspect or know that a supervisor or management is involved
                </label>
                <mat-radio-group aria-labelledby="choose-radio-group-label" formControlName="selectionValue"
                    [(ngModel)]="readioSelected" class="font-17 font-md-15">
                    <mat-radio-button [checked]=" i==0 ? 'true' : 'false' "
                        *ngFor="let Selection of Choices let i = index" [value]="Selection" required>
                        {{Selection}}
                    </mat-radio-button>
                </mat-radio-group>
            </div>
        </div>
        <div class="col-12 mb-md-4 mb-2 pb-2" *ngIf="readioSelected == 'Yes'">
            <div class="d-flex flex-column">
                <label class="font-16  font-md-14 font-weight-normal text-color-onyx Upnote ">If yes then who</label>
                <mat-form-field class="w-100 font-16-imp font-weight-medium custom-textarea" floatLabel="always">
                    <textarea matInput placeholder="" rows="4" class="m-0"></textarea>
                </mat-form-field>
                <label class="font-14  font-md-12 font-weight-normal text-color-mid-gray SmaalDesc">Any persons mentioned here will
                    restricted from access to this reported information</label>
            </div>
        </div>
        <div class="col-12 mb-md-3 mb-2">
            <div class="d-flex flex-column">
                <label class="font-16  font-md-14 font-weight-medium text-color-onyx mb-2">
                    Is management aware of this problem?
                </label>
                <mat-radio-group aria-labelledby="choose-radio-group-label"  class="font-17 font-md-15"             >
                    <mat-radio-button [checked]=" i==0 ? 'true' : 'false' "
                        *ngFor="let Selection of Choices let i = index" [value]="Selection" required>
                        {{Selection}}
                    </mat-radio-button>
                </mat-radio-group>
            </div>
        </div>
        <div class="col-12 mb-md-4 mb-2" >
            <div class="d-flex flex-column">
                <label class="font-15  font-md-14 font-weight-medium text-color-onyx col-md-10 p-0">Please identify any person who have attempted to conceal this problem and
                    the steps they took to conceal it</label>
                <mat-form-field class="w-100 font-16-imp font-weight-medium custom-textarea" floatLabel="always">
                    <textarea matInput placeholder="" rows="4" class="m-0"></textarea>
                </mat-form-field>
                <label class="font-14  font-md-12 font-weight-normal text-color-mid-gray SmaalDesc">
                    Please identify by name and title</label>
            </div>
        </div>
    </div>
</form>